Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hu.diplomamunka.tags
Class PrintTag

    java.lang.Object
      hu.diplomamunka.tags.PrintTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class PrintTag

extends java.lang.Object
implements javax.servlet.jsp.tagext.Tag

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PrintTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()`
`javax.servlet.jsp.tagext.Tag` | `getParent()`
`void` | `release()`
`void` | `setPageContext(javax.servlet.jsp.PageContext pageContext)`
`void` | `setParent(javax.servlet.jsp.tagext.Tag parent)`
`void` | `setString(java.lang.String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintTag

    public PrintTag()

Method Detail

### setString

    public void setString(java.lang.String string)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Throws:
    `javax.servlet.jsp.JspTagException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspTagException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Throws:
    `javax.servlet.jsp.JspTagException`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext pageContext)

  Specified by:
    `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`

### setParent

    public void setParent(javax.servlet.jsp.tagext.Tag parent)

  Specified by:
    `setParent` in interface `javax.servlet.jsp.tagext.Tag`

### getParent

    public javax.servlet.jsp.tagext.Tag getParent()

  Specified by:
    `getParent` in interface `javax.servlet.jsp.tagext.Tag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD